#
# spec file for package cacti-spine
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cacti-spine
Version:        1.1.38
Release:        lp150.1.2
Url:            https://github.com/Cacti/spine
Source:         https://github.com/Cacti/spine/archive/release/%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  help2man
BuildRequires:  libtool
BuildRequires:  mysql-devel
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
Requires:       cacti = %{version}
Requires:       rrdtool
Summary:        Threaded poller for Cacti written in C
License:        LGPL-2.1+
Group:          System/Monitoring

%description
Spine is a supplemental poller for Cacti that makes use of pthreads to achieve
excellent performance.

%prep
%setup -q -n spine-release-%{version}

%build
libtoolize --force
aclocal
autoheader
automake --force-missing --add-missing
autoconf

%configure
make %{?_smp_mflags}

%install
%makeinstall

%files
%defattr(-, root, root, 0755)
%doc ChangeLog README.md
%config %{_sysconfdir}/spine.conf.dist
%{_bindir}/spine
%{_mandir}/man1/spine*

%changelog
* Mon Apr 16 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.38
  * feature: release to match Cacti release
* Mon Mar 26 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.37
  - issue: Extra long snmp_sysObjectID's generate SQL errors
* Mon Feb 26 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.36
  - issue#49: Re-Index update query failed due to lack of escaping
* Mon Feb 12 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.35
  - issue#48: Availability check none triggers snmp system check that
    causes device to be ignored
* Tue Feb  6 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.34
  * feature: release to match Cacti release
* Tue Jan 23 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.33
  * feature: release to match Cacti release
* Mon Jan 22 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.32
  * feature: release to match Cacti release
* Wed Jan 17 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.31
  - issue#15: Spine cause CPU usage up to 100%%
  - issue#32: Support noAuthNoPriv in Spine
  - issue#34: Re-introduce check for relocatable Net-SNMP and
    development files
  - issue#35: SNMP OID range checks cause some snmpget's to fail
  - issue#38: SNMP Ping timeouts not reported properly
  - issue#39: Spine should use same logging format as Cacti
  - issue#41: Spine cause CPU usage up to 100%%
  - issue#42: Boost table keeps populating with boost disabled
* Thu Jan  4 2018 liedke@rz.uni-mannheim.de
- Update to version 1.1.30
  * feature: release to match Cacti release
* Wed Dec 27 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.29
  * issue#39: Have spine match cacti_log function
* Mon Nov 20 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.28
  * feature: release to match Cacti release
* Mon Oct 23 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.27
  * feature: release to match Cacti release
* Mon Oct 16 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.26
  * feature: release to match Cacti release
- Update to version 1.1.25
  * feature: release to match Cacti release
* Mon Sep 18 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.24
  * feature: release to match Cacti release
* Tue Sep 12 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.23
  * feature: release to match Cacti release
- Update to version 1.1.22
  * feature: release to match Cacti release
* Tue Sep  5 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.21
  * feature: release to match Cacti release
- Update to version 1.1.20
  * issue#28: UDP and TCP ping issues
* Mon Aug 21 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.19
  * feature: release to match Cacti release
- Update to version 1.1.18
  * issue: Sort devices by polling time to allow long running
    devices to go first
* Tue Aug 15 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.17
  * issue: Increase logging level for POPEN timeouts
* Tue Aug  1 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.16
  * feature: release to match Cacti release
* Mon Jul 24 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.15
  * feature: release to match Cacti release
* Mon Jul 24 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.14
  * feature: release to match Cacti release
* Fri Jul 14 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.13
  * issue: Script timeout should start after semaphore releases
  * issue: Don't include line breaks in Syslog
* Wed Jul  5 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.12
  * feature: release to match Cacti release
- Update to version 1.1.11
  * feature: release to match Cacti release
* Mon Jun 12 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.10
  * feature: release to match Cacti release
* Mon Jun  5 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.9
  * feature: release to match Cacti release
- Update to version 1.1.8
  * issue#21: Errors when snmp_sysLocation contains a single quote
* Mon May 22 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.7
  * feature: release to match Cacti release
* Mon May  8 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.6
  * issue#15: Spine can cause high CPU utilization due to
    semaphore implementation
  * issue#11: Spine reports SNMP timeouts in some cases when
    gathering multiple OID in one request
* Wed Apr 26 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.5
  * feature: release to match Cacti release
* Mon Apr 24 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.4
  * feature: release to match Cacti release
* Sun Apr 16 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.3
  * feature: release to match Cacti release
* Mon Apr  3 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.2
  * issue#13: Spine does not compile with --enable-lcap
  * issue#16: Spine not handling debug devices correctly
* Tue Mar 28 2017 liedke@rz.uni-mannheim.de
- Update to version 1.1.1
  * feature: release to match Cacti release
* Tue Mar 21 2017 joop.boonen@opensuse.org
- Update to version 1.1.0
  * feature: release to match Cacti release
* Wed Mar 15 2017 liedke@rz.uni-mannheim.de
- Update to version 1.0.6
  * feature: release to match Cacti release
* Mon Mar 13 2017 liedke@rz.uni-mannheim.de
- Update to version 1.0.5
  * issue#7: remove database name not respected
* Tue Feb 28 2017 joop.boonen@opensuse.org
- Update to version 1.0.4
  * feature: release to match Cacti release
* Fri Feb 24 2017 joop.boonen@opensuse.org
- Update to version 1.0.3
  * issue#6: Spine accepts arbitrary polling modes
- Update to version 1.0.2
  * feature: release to match Cacti release
- Update to version 1.0.1
  * bug:With enough make jobs, help2man will fail if help2man is run before spine has been built
- Update to version 1.0.0
  * feature: Track per host polling time
  * feature: Collect System Mib Information
  * feature: Place collection timing into host table
  * feature: Support snmpContextEngineID
  * feature: Change all references of Host to Device
  * bug:0001415: spine does not handle log_perror
  * bug#0002220: spine/cacti patch to allow SNMP_polling decices' hostnames like user@host:port
  * bug#0002234: Wrong alphanumeric value got from Spine SNMP poller
  * bug#0002651: False Positive Down status with snmpv3
  * bug#0002674: Segmentation fault in Spine during polling host
* Mon May  9 2016 liedke@rz.uni-mannheim.de
- Update to version 0.8.8h
  * bug:0002659: wrong information about spine setup for icmps
  * bug: Removed requirement for building man page, deferred to 1.0
- Update to version 0.8.8g
  * bug:0002380: please build man page for spine
  * bug:0002610: Spine is trying to use mysql results after data
    being freed
  * bug:0002639: Spine does not respect snmp_retries from the
    database
  * bug:0002640: Spine crashes randomly while polling using
    multiple threads on one device
  * bug:0002549: Spine: hasCaps() always returns FALSE
  * bug:0002638: Spine: ping_udp() uses uninitialised socket timeout
  * bug:0002654: On RHEL 6.5, spine ./configure builds Makefile
    without crypto support
* Sun Nov  1 2015 p.drouand@gmail.com
- Update to version 0.8.8f
  * bug:0002604: cacti-spine, configure script ignores LDFLAGS in
    certain situations
- Changes from version 0.8.8e
  * bug#0002185: Multiple memory leaks found in spine
  * bug#0002398: Buffer overflow
  * bug#0002447: Building spine on Debian Jessie (testing) fails
  * bug#0002536: Spine segfaults when 18k+ hosts are to be pulled
  * bug#0002576: Call to a non-existent column of the database in poller.c
  * bug#0002578: spine doesn't compile on ubuntu 12.04
  * bug#0002585: Spine: buffer overflow in logging when
    RESULTS_BUFFER>LOGSIZE can SEGV
  * bug#0002588: Spine "is_numeric" incorrectly returns TRUE for some
    hexadecimal values
- Remove systemd buildrequires; unneeded
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 0.8.8c
  + No changelog entry for version 0.8.8c
- Use download Url as source
* Mon Aug 12 2013 aldemir.akpinar@gmail.com
- New Version: 0.8.8b
* Mon Apr 30 2012 cfarrell@suse.com
- license update: LGPL-2.1+
  Use SPDX format for license strings (http://www.spdx.org/licenses)
* Mon Apr 30 2012 aldemir.akpinar@airties.com
- New Version: 0.8.8a
- Add source as bz2
* Mon Apr  9 2012 aldemir.akpinar@airties.com
- Version 0.8.8
* Wed Dec 14 2011 aldemir.akpinar@airties.com
- Upgrade to 0.8.7i
* Wed Oct  5 2011 aldemir.akpinar@airties.com
- Upgrade to new version.
* Mon Jun 13 2011 aldemir.akpinar@airties.com
- Changed Requires line to comply with the changes on cacti-PA
* Fri Jun 10 2011 aldemir.akpinar@airties.com
- Changed cactid name to spine and made it installable with cacti-PA
* Tue Jun 29 2010 boris@steki.net
- Updated to new version
- Many bugs fixed
  Changes can be found in /usr/share/doc/packages/cacti-cactid/Changelog
